# Interface Html5Mode

Represents the configuration options for HTML5 mode.

interface Html5Mode {
enabled: boolean;
requireBase: boolean;
rewriteLinks: string | boolean;
}

##### Index

### Properties

enabled
requireBase
rewriteLinks

## Properties

### enabled

enabled: boolean

If true, will rely on `history.pushState` to change URLs where supported. Falls back to hash-prefixed paths in browsers that do not support `pushState`.

#### Default

    false

### requireBase

requireBase: boolean

When html5Mode is enabled, specifies whether or not a `<base>` tag is required to be present. If both `enabled` and `requireBase` are true, and a `<base>` tag is not present, an error will be thrown when `$location` is injected.

#### Default

    true

### rewriteLinks

rewriteLinks: string | boolean

When html5Mode is enabled, enables or disables URL rewriting for relative links. If set to a string, URL rewriting will only apply to links with an attribute that matches the given string. For example, if set to `'internal-link'`, URL rewriting will only occur for `<a internal-link>` links. Attribute name normalization does not apply here.

#### Default

    true